# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "summa"
version = "0.8.7"
description = "Fast full-text search server"
homepage = "https://github.com/izihawa/summa"
readme = "README.md"
keywords = [
    "async",
    "search",
    "server",
    "grpc",
]
license-file = "LICENSE"
repository = "https://github.com/izihawa/summa"
resolver = "2"

[lib]
name = "summa"
path = "src/lib.rs"
doc = true

[[bin]]
name = "summa-server"
path = "src/bin/main.rs"
doc = false

[dependencies.async-broadcast]
version = "0.4.0"

[dependencies.base64]
version = "0.13.0"

[dependencies.clap]
version = "3.2.6"
features = ["cargo"]

[dependencies.colored]
version = "2.0.0"

[dependencies.config]
version = "0.13.1"

[dependencies.crossbeam-channel]
version = "0.5.5"

[dependencies.derive_builder]
version = "0.11.2"

[dependencies.fasteval2]
version = "2.0.3"
features = ["unsafe-vars"]

[dependencies.futures]
version = "0.3.21"

[dependencies.futures-util]
version = "0.3.21"

[dependencies.hyper]
version = "0.14.19"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.opentelemetry]
version = "0.17.0"

[dependencies.opentelemetry-prometheus]
version = "0.10.0"

[dependencies.parking_lot]
version = "0.12.1"
features = ["send_guard"]

[dependencies.path-absolutize]
version = "3.0.13"

[dependencies.prometheus]
version = "0.13.1"

[dependencies.prost]
version = "0.10.4"

[dependencies.prost-build]
version = "0.10.4"
features = ["vendored"]

[dependencies.prost-types]
version = "0.10.1"

[dependencies.rand]
version = "0.8.5"

[dependencies.rdkafka]
version = "0.28.0"

[dependencies.serde]
version = "1.0.17"
features = ["derive"]

[dependencies.serde_derive]
version = "1.0.137"

[dependencies.serde_json]
version = "1.0.82"

[dependencies.serde_yaml]
version = "0.8.24"

[dependencies.signal-hook]
version = "0.3.14"

[dependencies.tantivy]
version = "0.18.0"
features = [
    "brotli-compression",
    "lz4-compression",
    "snappy-compression",
    "zstd-compression",
]

[dependencies.tantivy-fst]
version = "0.3.0"

[dependencies.textwrap]
version = "0.15.0"

[dependencies.thiserror]
version = "1.0.31"

[dependencies.time]
version = "0.3.11"
features = ["serde-well-known"]

[dependencies.tokio]
version = "1.19.2"
features = [
    "full",
    "time",
]

[dependencies.tokio-stream]
version = "0.1.9"
features = ["net"]

[dependencies.tonic]
version = "0.7.2"
features = ["compression"]

[dependencies.tonic-reflection]
version = "0.4.0"

[dependencies.tower]
version = "0.4.13"

[dependencies.tower-http]
version = "0.3.4"
features = [
    "set-header",
    "trace",
]

[dependencies.tracing]
version = "0.1.34"

[dependencies.tracing-appender]
version = "0.2.2"

[dependencies.tracing-futures]
version = "0.2.5"

[dependencies.tracing-subscriber]
version = "0.3.11"
features = [
    "env-filter",
    "json",
]

[dev-dependencies.tempdir]
version = "0.3.7"

[build-dependencies.tonic-build]
version = "0.7.2"
features = [
    "compression",
    "prost",
    "transport",
]
default-features = false

[badges.maintenance]
status = "actively-developed"
